package wtf.opal.utility.misc.system;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import org.lwjgl.util.tinyfd.TinyFileDialogs;

@Environment(EnvType.CLIENT)
public final class DialogUtility {
   private DialogUtility() {
   }

   public static boolean notify(String type, String icon, String title, String message) {
      return TinyFileDialogs.tinyfd_messageBox(title, message, type, icon, true);
   }
}
